Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Virgo » How to use spring-aspects-3.2.1.RELEASE with aspectj-1.7.1?
How to use spring-aspects-3.2.1.RELEASE with aspectj-1.7.1? [message #1009163] Thu, 14 February 2013 10:15 Go to next message
Jean-Pierre Bergamin is currently offline Jean-Pierre Bergamin
Messages: 51
Registered: March 2011
Location: Zürich, CH
Member
Dear Virgo users

We are trying to upgrade to Spring 3.2.1 on Virgo 3.6. spring-aspects-3.2.1.RELEASE has a dependency on aspectj 1.7.1. I tried to put com.springsource.org.aspectj.weaver-1.7.1.RELEASE.jar into repository/usr to satisfy this dependency, but Virgo then refuses to start with the following error:

[2013-02-14 16:14:17.477] system-artifacts             <DE0003E> Install failed for plan 'org.eclipse.virgo.web.tomcat' version '3.6.0'. 
[2013-02-14 16:14:17.480] system-artifacts             <DE0500E> Unable to install application from URI 'file:/C:/virgo-tomcat-server-3.6.0.RELEASE/repository/ext/org.eclipse.virgo.web.tomcat_3.6.0.RELEASE.plan'. Cannot satisfy constraints for bundle 'org.eclipse.virgo.web.dm' version '3.6.0.RELEASE'. Cannot resolve: org.eclipse.virgo.web.dm
    Resolver report:
        Uses violation: <Import-Package: org.eclipse.virgo.medic.log; version="[3.6.0,4.0.0)"> in bundle <org.eclipse.virgo.web.dm_3.6.0.RELEASE[1360854854131]>
             Resolver reported uses conflict for import
        Uses violation: <Import-Package: org.eclipse.virgo.medic.log; version="[3.6.0,4.0.0)"> in bundle <org.eclipse.virgo.web.tomcat.support_3.6.0.RELEASE[1360854854132]>
             Resolver reported uses conflict for import
. org.eclipse.virgo.kernel.osgi.framework.UnableToSatisfyBundleDependenciesException: Unable to satisfy dependencies of bundle 'org.eclipse.virgo.web.dm' at version '3.6.0.RELEASE': Cannot resolve: org.eclipse.virgo.web.dm
    Resolver report:
        Uses violation: <Import-Package: org.eclipse.virgo.medic.log; version="[3.6.0,4.0.0)"> in bundle <org.eclipse.virgo.web.dm_3.6.0.RELEASE[1360854854131]>
             Resolver reported uses conflict for import
        Uses violation: <Import-Package: org.eclipse.virgo.medic.log; version="[3.6.0,4.0.0)"> in bundle <org.eclipse.virgo.web.tomcat.support_3.6.0.RELEASE[1360854854132]>
             Resolver reported uses conflict for import

	at org.eclipse.virgo.kernel.install.pipeline.stage.resolve.internal.QuasiResolveStage.process(QuasiResolveStage.java:46)
	at org.eclipse.virgo.kernel.install.pipeline.internal.StandardPipeline.doProcessGraph(StandardPipeline.java:62)
	at org.eclipse.virgo.kernel.install.pipeline.internal.CompensatingPipeline.doProcessGraph(CompensatingPipeline.java:73)
	at org.eclipse.virgo.kernel.install.pipeline.stage.AbstractPipelineStage.process(AbstractPipelineStage.java:41)
	at org.eclipse.virgo.kernel.install.pipeline.internal.StandardPipeline.doProcessGraph(StandardPipeline.java:62)
	at org.eclipse.virgo.kernel.install.pipeline.stage.AbstractPipelineStage.process(AbstractPipelineStage.java:41)
	at org.eclipse.virgo.kernel.deployer.core.internal.PipelinedApplicationDeployer.driveInstallPipeline(PipelinedApplicationDeployer.java:359)
	at org.eclipse.virgo.kernel.deployer.core.internal.PipelinedApplicationDeployer.doInstall(PipelinedApplicationDeployer.java:185)
	at org.eclipse.virgo.kernel.deployer.core.internal.PipelinedApplicationDeployer.install(PipelinedApplicationDeployer.java:140)
	at org.eclipse.virgo.kernel.deployer.core.internal.PipelinedApplicationDeployer.deploy(PipelinedApplicationDeployer.java:253)
	at org.eclipse.virgo.kernel.userregion.internal.InitialArtifactDeployer$ArtifactDeployingRunnable.deployArtifacts(InitialArtifactDeployer.java:164)
	at org.eclipse.virgo.kernel.userregion.internal.InitialArtifactDeployer$ArtifactDeployingRunnable.run(InitialArtifactDeployer.java:154)
	at java.lang.Thread.run(Thread.java:662))


Any ideas how to use spring-aspects-3.2.1.RELEASE with aspectj 1.7.1?


Best regards,
James

[Updated on: Thu, 14 February 2013 10:15]

Report message to a moderator

Re: How to use spring-aspects-3.2.1.RELEASE with aspectj-1.7.1? [message #1009177 is a reply to message #1009163] Thu, 14 February 2013 10:41 Go to previous message
Jean-Pierre Bergamin is currently offline Jean-Pierre Bergamin
Messages: 51
Registered: March 2011
Location: Zürich, CH
Member
Ooops. Seems that this is describe in the FAQ. Sorry about that.
Previous Topic:Greenpages pom.xml Problem
Next Topic:Hosted repository with virgo tomcat server 3.0.2
Goto Forum:
  


Current Time: Mon Jul 28 12:26:15 EDT 2014

Powered by FUDForum. Page generated in 0.01964 seconds